Skip to content

Update an Entry

Updates an existing content entry. Supports full replacement (PUT) or partial update (PATCH).

PUT /api/{projectId}/{collectionSlug}/{uuid}
PATCH /api/{projectId}/{collectionSlug}/{uuid}

Use PATCH when you only want to update specific fields without affecting others.

Parameters

ParameterTypeDescription
projectIduuidYour project UUID
collectionSlugstringThe collection slug
uuiduuidThe entry UUID

Request body

{
"status": "published",
"fields": {
"title": "Updated title",
"body": "<p>Updated content</p>"
}
}

Request

Terminal window
curl -X PATCH https://your-domain.com/api/{projectId}/posts/550e8400-... \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fields": {
"title": "Updated title"
}
}'

Response

Returns the updated entry:

{
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"status": "published",
"locale": "en",
"updated_at": "2024-01-15T14:00:00+00:00",
"fields": {
"title": "Updated title",
"slug": "my-post",
"body": "<p>Updated content</p>"
}
}

Status codes

StatusDescription
200Updated successfully
403Insufficient permissions
404Entry not found
422Invalid locale or field values